/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
//#region ../automated-config/dist/utils/generateSchemaKey.js
/*! © 2026 Yahoo, Inc. UDS Default Config v0.0.0-development */
function generateSchemaKey({ variantKey, variantValue, layer, subComponentName, componentStateKey, componentStateValue }) {
	if (subComponentName) {
		if (componentStateKey && componentStateValue) return `${subComponentName}/${variantKey}/${variantValue}/${componentStateKey}/${componentStateValue}/${layer}`;
		return `${subComponentName}/${variantKey}/${variantValue}/${layer}`;
	}
	if (componentStateKey && componentStateValue) return `${variantKey}/${variantValue}/${componentStateKey}/${componentStateValue}/${layer}`;
	return `${variantKey}/${variantValue}/${layer}`;
}
//#endregion
exports.generateSchemaKey = generateSchemaKey;
